curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/{identityId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/{identityId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/{identityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"employeeStatus": "active",
"employeeType": "full_time_employee",
"firstName": "First Name",
"lastName": "Last Name",
"id": "<string>",
"organizationId": 123,
"peopleId": "<string>",
"managementType": "managed",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com",
"secondaryEmails": [
"secondary+1@email.com",
"secondary+2@email.com"
],
"companyName": "company name",
"workLocation": "work location",
"department": {
"name": "department name"
},
"serviceCount": 123,
"deviceCount": 123,
"costs": [
{
"amount": 100,
"currency": "usd"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isManager": true,
"isMock": true,
"isEmailEditable": true,
"hasPresetFieldsUnlinked": true,
"jobTitle": "CTO",
"employeeId": "EMP12345",
"lifecycle": {
"contractStartAt": "2021-01-01",
"contractEndAt": "2021-01-02",
"suspensionStartAt": "2021-01-01",
"suspensionEndAt": "2021-01-03"
},
"manager": {
"id": "<string>",
"displayName": "<string>",
"people": {
"id": 1,
"identityId": "I3N5HB4B3G",
"primaryEmail": "foo@gmail.com",
"displayName": "Yamaha Honda",
"avatar": "avatar_url",
"username": "foo",
"status": "suspended",
"type": "employee"
}
},
"note": "this is a note",
"profileUrl": "https://workspace.url/employee/12345",
"customFields": {
"custom_text_field": "foo",
"custom_date_field": "2024-01-01",
"custom_number_field": 123,
"custom_dropdown_field": "Option Displayed Value A"
},
"customFieldsWithMetadata": [
{
"id": 1,
"attributeCode": "custom_text_field",
"attributeName": "Text field",
"value": "foo"
},
{
"id": 2,
"attributeCode": "custom_date_field",
"attributeName": "Date field",
"value": "2024-01-01"
},
{
"id": 3,
"attributeCode": "custom_number_field",
"attributeName": "Number field",
"value": 123
},
{
"id": 4,
"attributeCode": "custom_dropdown_field",
"attributeName": "Dropdown field",
"value": "Option Displayed Value A"
}
],
"structuresInfo": {
"companies": [
{
"id": 1,
"name": "name"
}
],
"departments": [
{
"id": 1,
"name": "name"
}
],
"locations": [
{
"id": 1,
"name": "name"
}
],
"managers": [
{
"id": "<string>",
"displayName": "<string>",
"primaryEmail": "<string>",
"avatar": "<string>"
}
]
}
}Get an Identity
承認
クエリパラメータ
Expand other datasets when fetching identities. Accepts multiple options.
customFieldsMetadata レスポンス
Extended status of the employee
active, on_leave, draft, preactive, retired, untracked, archived "active"
Type of the employee
board_member, full_time_employee, fixed_time_employee, temporary_employee, part_time_employee, secondment_employee, contract_employee, collaborator, group_address, shared_address, test_address, other, unknown, unregistered "full_time_employee"
First name of the employee
"First Name"
Last name of the employee
"Last Name"
ID of the employee
ID of the organization
ID of the people
Management type of the employee
managed, external, system, unknown, unregistered "managed"
Display name of the employee
"Display Name"
URL of the avatar of the employee
Primary email of the employee
"primay@email.com"
Secondary emails of the employee
[
"secondary+1@email.com",
"secondary+2@email.com"
]Company name of the employee
"company name"
Work location of the employee
"work location"
Department of the employee
Show child attributes
Show child attributes
Number of services the employee has
Number of devices the employee has
Costs of the employee
Show child attributes
Show child attributes
Record created at
Record updated at
Is the employee a manager
Indicates if the identity is a mock
Indicates if the email of the identity is editable
Indicates if the unlink preset fields is enabled
Job title of the employee
"CTO"
Employee ID of the employee
"EMP12345"
Lifecycle of the employee
Show child attributes
Show child attributes
Manager of the employee
Show child attributes
Show child attributes
Notes of the employee
"this is a note"
URL of the profile of the employee
"https://workspace.url/employee/12345"
Custom fields of the employee
Show child attributes
Show child attributes
{
"custom_text_field": "foo",
"custom_date_field": "2024-01-01",
"custom_number_field": 123,
"custom_dropdown_field": "Option Displayed Value A"
}Custom fields with metadata including ID, uniqueName, and label
Show child attributes
Show child attributes
[
{
"id": 1,
"attributeCode": "custom_text_field",
"attributeName": "Text field",
"value": "foo"
},
{
"id": 2,
"attributeCode": "custom_date_field",
"attributeName": "Date field",
"value": "2024-01-01"
},
{
"id": 3,
"attributeCode": "custom_number_field",
"attributeName": "Number field",
"value": 123
},
{
"id": 4,
"attributeCode": "custom_dropdown_field",
"attributeName": "Dropdown field",
"value": "Option Displayed Value A"
}
]Structures that the identity is a member of, categorized by type
Show child attributes
Show child attributes

